html {
    scroll-behavior: smooth;
}


body{
    padding: 0;
    margin: 0;
    background-color: black;
    font-family: "Rethink Sans", sans-serif;
}

ul{
    display: flex;
    justify-content: space-between;
    list-style-type: none;
    align-items: center;
    padding: 16px;
}

a{
    color: dodgerblue;
    text-decoration: none;
    padding: 0px;
    margin: 0px;
}

.divider {
  border-bottom: 1px solid #ffffff;
  margin-top: 0px;
  padding-top: 0px;
  width: 12%;
  margin-bottom: 24px;
}

.divider2 {
  border-bottom: 1px solid black;
  padding-top: 0px;
  width: 120px;
  margin: 10px auto 0 auto;
}

/* header */

#navbar1{
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: sticky;
    top: 0;
    background-color: #0C0F19;
    opacity: 100%;
    z-index: 1000;  
}

.navbar-links a {
    font-family: "Poiret One", serif;
    font-size: 18px;
    color: whitesmoke;
    padding: 0 14px;
    text-decoration: none;
    display: flex;
    align-items: center;
}

.navbar-links {
    display: flex;
    gap: 20px;
    padding-right: 45px;
    height: auto;
    padding-top: 15px;
    padding-bottom: 15px;
}



.logo a{
    padding-left: 45px;
    color: whitesmoke;
    font-size: 22px;
    font-family: "Playfair", serif;
    font-weight: 400;
    font-style: normal;
}



.dropdown {
    position: relative;
    display: flex;
    align-items: center;
}

.dropdown-content {
    display: none;
    position: absolute;
    top: 100%; 
    left: 0;
    background-color: #0C0F19;
    min-width: 160px;
    width: max-content;
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
    box-shadow: 0px 4px 8px rgba(0,0,0,0.2);
    z-index: 100;

    max-height: 70vh;
    overflow-y: auto;
}

.dropdown-content a {
    display: block;
    padding: 10px 14px; 
    color: whitesmoke;
    text-decoration: none;
    height: auto;
}

.navbar-links a:hover {
    color: rgb(194, 194, 194);
}

.dropdown-content a:hover {
    background-color: #1e2a6f;
    color: whitesmoke;
    cursor: pointer;
}

.dropdown:hover .dropdown-content {
    display: block;
    color: whitesmoke;
}

.dropdown:hover > a {
    color: rgb(170, 170, 170); 
    cursor: pointer;
}

#botaoAgendar {
    color: whitesmoke;
    border: 1px solid whitesmoke;
    max-width: fit-content;
    padding-right: 15px;
    padding-left: 15px;
    border-radius: 30px;    
    display: flex;
    align-items: center;
    justify-content: center;
    padding-top: 15px;
    padding-bottom: 15px;
}

#botaoAgendar2 {
    color: whitesmoke;
    border: 1px solid whitesmoke;
    max-width: fit-content;
    padding-right: 45px;
    padding-left: 45px;
    border-radius: 30px;    
    display: flex;
    align-items: center;
    justify-content: center;
    padding-top: 15px;
    padding-bottom: 15px;
}

.botaoRounded {
    color: whitesmoke;
    border: 1px solid whitesmoke;
    max-width: fit-content;
    padding: 15px 45px;
    border-radius: 30px;    
    display: flex;
    align-items: center;
    justify-content: center;

    background-color: transparent;
    cursor: pointer;

    transition:
        background-color 0.35s cubic-bezier(0.22, 1, 0.36, 1),
        color 0.35s cubic-bezier(0.22, 1, 0.36, 1),
        transform 0.35s cubic-bezier(0.22, 1, 0.36, 1),
        box-shadow 0.35s cubic-bezier(0.22, 1, 0.36, 1);
}

.botaoRounded:hover {
    background-color: whitesmoke;
    color: #111;
    transform: translateY(-3px);
    box-shadow: 0 8px 20px rgba(0,0,0,0.25);
}

.botaoRounded2 {
    color: whitesmoke;
    border: 1px solid rgba(255,255,255,0.6);
    padding: 15px 45px;
    border-radius: 30px;
    display: flex;
    align-items: center;
    justify-content: center;

    background: rgba(255,255,255,0.05);
    backdrop-filter: blur(4px);
    transition: all 0.3s cubic-bezier(0.22, 1, 0.36, 1);
    cursor: pointer;
}

.botaoRounded2:hover {
    border-color: white;
    box-shadow: 0 0 15px rgba(255,255,255,0.4);
    transform: scale(1.04);
}

.botaoRounded3 {
    position: relative;
    overflow: hidden;
    color: white;
    border: 1px solid white;
    padding: 15px 45px;
    border-radius: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: transparent;
    transition: color 0.3s cubic-bezier(0.22, 1, 0.36, 1);
    cursor: pointer;
}

.botaoRounded3::before {
    content: "";
    position: absolute;
    left: -100%;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.859);
    transition: left 0.4s cubic-bezier(0.22, 1, 0.36, 1);
    z-index: 0;
}

.botaoRounded3:hover::before {
    left: 0;
}

.botaoRounded3:hover {
    color: #111;
}

.botaoRounded3 span {
    position: relative;
    z-index: 1; 
}

.menu-toggle {
    display: none;
    font-size: 28px;
    color: white;
    padding-right: 20px;
    cursor: pointer;
}

/* HEADER MOBILE */
@media (max-width: 768px) {

    .menu-toggle {
        display: block;
        font-size: 22px;
    }

    #navbar1{
      padding-bottom: 20px;
      padding-top: 20px;
    }

    .logo {
        position: absolute;
        left: 15%;
        transform: translateX(-15%);
    }

    .logo a {
        padding-left: 0;
        font-size: 20px;
        text-align: center;
        white-space: nowrap;
    }

    .menu-toggle {
        margin-left: auto;
    }

    .navbar-links {
      border-top: 1px solid rgba(30, 28, 28, 0.779);
      position: absolute;
      top: 100%;
      right: 0;
      background-color: #0C0F19;
      flex-direction: column;
      align-items: center;
      width: 100%;
      display: flex;
      opacity: 0;
      visibility: hidden;
      transform: translateY(-60px);
      padding: 20px 0;
      transition: 
        opacity 0.1s ease,
        transform 0.2s ease,
        visibility 0s linear 0.2s;
    }

    .navbar-links.active {
        opacity: 1;
        visibility: visible;
        transform: translateY(0);

        transition: 
          opacity 0.2s ease,
          transform 0.2s ease,
          visibility 0s;
    }

    .navbar-links a {
        padding: 12px 20px;
    }

    .dropdown {
        flex-direction: column;
        align-items: flex-start;
    }

    .dropdown-content {
        display: none;
        position: static;
        box-shadow: none;
    }
    .dropdown.active .dropdown-content {
        display: block;
    }

    .dropdown:hover .dropdown-content {
        display: none;
    }

    .botaoRounded3{
      overflow: auto;
    }
}


/* main */
#videogabi{
    width: 100%;
    height: auto;
    display: block;
    max-width: 100vw;
}


section {
    padding: 60px;
    padding-top: 70px;
    padding-bottom: 70px;
}

.section1 {
    background-color: whitesmoke;
    color: darkslategray;
    padding-left: 7%;
    display: flex;
    flex-direction: row;
}
.section1 p {
    text-align: justify;
    font-size: 15px;
    line-height: 25px;
}

.section1 a {
    width: 60%;
}

.section1 div {
    width: 60%;
    height: auto;
    padding: 0px;
}


.section2 {
    background-color: rgb(47, 49, 79);
    color: whitesmoke;
    padding-left: 80px;
    text-align: center;
    padding-right: 80px;
    display: flex;
    flex-direction: row;
    
}

.section2 p {
    text-align: center;
    font-size: 15px;
    line-height: 25px;
}

.section2 a{
    width: 80%;
}

.section2 h3 {
    font-family: "Yesteryear", cursive;
    font-weight: 400;
    font-size: 35px;
    font-style: normal;
    margin-bottom: 10px;
    margin-top: 15px;
}

.section2 div{
  opacity: 0;
    transform: translateX(180px);
    filter: blur(8px);
    transition: 
      opacity 0.9s cubic-bezier(0.22, 1, 0.36, 1),
      transform 1.9s cubic-bezier(0.22, 1, 0.36, 1),
      filter 0.9s cubic-bezier(0.22, 1, 0.36, 1);
}

.section3 {
    background-color: white;
    color: rgb(47, 49, 79);
    padding: 60px 80px;
    text-align: center;

    display: flex;
    justify-content: center;
    align-items: center;
    gap: 120px;
}

.section3 p {
    text-align: center;
    font-size: 15px;
    line-height: 25px;
}

.section3 a{
    width: 80%;
    color: #000 !important;
    border-color: #000 !important;
    margin: 10px auto 0 auto;
}

.section3 h3 {
    font-family: "Yesteryear", cursive;
    font-weight: 400;
    font-size: 35px;
    font-style: normal;
    margin-bottom: 10px;
    margin-top: 15px;
}


.gabihomefotos{
  width: 220px !important;
  height: 320px !important;
  margin-left: 10px !important;
  object-fit: cover !important;
  flex-shrink: 0 !important;

  border: 40px solid transparent;
  border-image-source: url('Content/svg3.svg');
  border-image-slice: 30;
  border-image-repeat: round;
  
  opacity: 0;
    transform: translateX(60px);
    filter: blur(8px);
    transition: 
      opacity 0.9s cubic-bezier(0.22, 1, 0.36, 1),
      transform 1.9s cubic-bezier(0.22, 1, 0.36, 1),
      filter 0.9s cubic-bezier(0.22, 1, 0.36, 1);
  
}

#home .aparecer {
  opacity: 1;
  transform: translateX(0);
  filter: blur(0);
}

/*main MOBILE*/
@media (max-width: 768px) {
  .section1 {
    flex-direction: column;
    padding-top: 0px;
    padding-left: 7%;
    padding-right: 7%;
  }

  .section1 p {
    font-size: 14px;

  }

  .section1 div {
    width: 100%;
    height: auto;
    padding: 0px;
  }

  .section1 > div{
    padding-top: 15px !important;
    padding-bottom: 15px !important;
  }

  .section2{
    padding: 18px;
  }

  .section2 p{
    font-size: 12px;
  }

  .section2 h3{
    font-size: 30px;
  }

  .section3 {
    flex-direction: column;
    gap: 40px;
  }

  .gabihomefotos{
    width: 220px !important;
    height: 320px !important;
    margin: 1px auto 0 auto !important;
    object-fit: cover !important;
    flex-shrink: 0 !important;

    border: 40px solid transparent;
    border-image-source: url('Content/svg3.svg');
    border-image-slice: 30;
    border-image-repeat: round;
  }
}

/* FOOTER */


.footer1 {
    background-color: white;
}

.footerTop {
    padding: 20px;
    color: black;
    display: flex;
    justify-content: space-between;
    align-items: center;   /* alinha verticalmente */
    border-top: 1px solid rgba(0, 0, 0, 0.1);
}

.footerTop p{
    padding-top: 0px;
    margin-top: 0px;
    margin-bottom: 40px;
}

.footerTop > div {
    flex: 1;
    display: flex;
    flex-direction: column;
}

.footerBottom {
    padding: 10px;
    border-top: 1px dashed rgba(0, 0, 0, 0.1);
}

#footerContato {
    align-items: center;
    text-align: center;
}

#footerSociais {
    align-items: flex-end;   /* joga conteúdo para a direita */
    text-align: right;
}

#footerSociaisIcons {
    align-self: flex-end;    /* garante que os ícones também fiquem à direita */
}

#footerSociais a {
    color: black;
    font-size: 20px;
}

/* FOOTER MOBILE*/
@media (max-width: 768px){
.footer1 {
    background-color: white;  
}


.footerTop {
    padding: 20px;
    color: black;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    border-top: 1px solid rgba(0, 0, 0, 0.1);
    font-size: 14px;
}

.footerTop p{
    padding-top: 0px;
    margin-top: 0px;
    margin-bottom: 0;
    
}

.footerTop > div {
    flex: 1;
    display: flex;
    flex-direction: column;
}

.footerBottom {
    padding: 10px;
    border-top: 1px dashed rgba(0, 0, 0, 0.1);
    font-size: 14px;
}

#footerSociais a {
    color: black;
    font-size: 20px;
}
}
/* Procedimentos */

.procedimento {
  display: grid;
  grid-template-columns: 1fr 120px;
  gap: 60px;
  padding: 30px 0;
  background-color: white;
  opacity: 0;
  transform: translateY(60px);
  filter: blur(8px);
  transition: 
    opacity 0.9s cubic-bezier(0.22, 1, 0.36, 1),
    transform 0.9s cubic-bezier(0.22, 1, 0.36, 1),
    filter 0.9s cubic-bezier(0.22, 1, 0.36, 1);
  
}
.procedimento.aparecer {
  opacity: 1;
  transform: translateY(0);
  filter: blur(0);
}

.procedimento h3 {
  font-size: 2rem;
  margin-bottom: 20px;
}

.procedimento p {
  max-width: 520px;
  line-height: 1.8;
  color: black;
}

.procedimento-detalhe {
  width: 4px;
  margin-left: 15px;
  margin-right: 15px;
  align-self: stretch;
  justify-self: right;
  background: linear-gradient(
    to bottom,
    transparent,
    black,
    transparent
  );
}

.procedimento-direita .procedimento-texto {
    justify-self: end;
    text-align: right;
    align-items: flex-end;
}

.procedimento-texto {
  max-width: 600px;
  color: black;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.procedimento-direita #botaoAgendar {
  align-self: flex-end !important;
}

.procedimento:nth-child(even) {
  grid-template-columns: 120px 1fr;
}

.procedimento:nth-child(even) .procedimento-detalhe {
  order: -1;
  justify-self: left;
}


.section1 > div {
    padding: 40px 0;
}

.section1 > div:first-child {
    border-right: 1px solid rgba(0,0,0,0.08);
    padding-right: 60px;
}



#procedimentosBanner{
    background-blend-mode: multiply;
    background-color: white;
    padding: auto;
    margin: auto;
    margin-bottom: 0px;
    padding-bottom: 0px;
    text-align: center;
    font-size: 26px;
    color: black;
}

#procedimentosBanner h4 {
  border: none;
}


#procedimentosBanner h4::after {
  content: "";
  display: block;
  width: 120px;
  height: 0;
  border-bottom: 1px solid black;
  margin: 12px auto 0;
}

#procedimentos .section {
    padding-top: 60px;
    padding-bottom: 60px;
}

#procedimentos .section1 {
    background-color: white;
    color: darkslategray;
    padding-left: 7%;
    display: flex;
    gap: 80px;
    align-items: stretch;
}


#procedimentos .section1 p {
    width: 60%;
    text-align: justify;
    font-size: 15px;
    line-height: 25px;
}


#procedimentos .section2 {
    background-color: rgb(47, 49, 79);
    color: black;
    padding-left: 60%;
    padding-right: 0%;
    
}

#procedimentos .section2 p {
    width: 80%;
    text-align: justify;
    font-size: 15px;
    line-height: 25px;
}

#procedimentos .section1 a{
    color: black;
    border-color: black;
}

#procedimentos .section2 a{
    color: black;
    border-color: black;
}

#procedimentos #botaoAgendar{
  color: black !important;
  border-color: black !important;
}


/* Procedimentos MOBILE  */
@media (max-width: 768px) {
  .procedimento {
    grid-template-columns: 1fr;
    gap: 15px;
    padding: 30px 20px;
  }

  .procedimento:nth-child(even) {
    grid-template-columns: 1fr;
  }

  #procedimentosBanner{
    padding-top: 10px;
    font-size: 24px;
  }

  .procedimento-texto {
    max-width: 100%;
    text-align: left;
    align-items: flex-start;
    gap: 2px;
  }

  .procedimento-direita .procedimento-texto {
    text-align: left;
    align-items: flex-start;
  }

  .procedimento-detalhe {
    display: none;
  }

  .procedimento h3 {
    font-size: 1.3rem;
  }

  .procedimento p {
    max-width: 100%;
    font-size: 14px;
  }

  .procedimento #botaoAgendar{
    font-size: 14px;
  }
  .procedimento-direita #botaoAgendar {
    align-self: flex-start !important;
    font-size: 14px;
  }
}

/* Cursos */

.pdf-container {
  width: 100%;
  max-width: 100%;
  gap: 10px;
  margin-bottom: 5px;
  display: flex; flex-direction: row;
}

.pdf-container iframe {
  width: 100%;
  border: 1px solid rgba(255, 255, 255, 0.521);
}

.mobile{
  display: none;
}

.botao-pdfs{
  display: flex;
  flex-direction: row;
  gap: 6px;
}

/* Cursos MOBILE*/
@media (max-width: 768px) {
  .pc{
    display: none;
  }

  .mobile{
    display: block !important;
  }

  .cursos-section{
    padding: 30px;
  }
  
  .cursos-section #botaoAgendar2{
    margin: 10px auto 0 auto;
  }

  .pdf-container iframe {
    width: 100%;
    height: 45vh;
    border: 1px solid rgba(255, 255, 255, 0.521);
  }
  
  .botao-pdfs{
    display: flex;
    flex-direction: column;
    gap: 0px;
  }
}



/* Blog */

.blog-home {
  padding: 60px;
  background-color: whitesmoke;
}

.blog-home h2 {
  margin-bottom: 20px;
}

.carousel-container {
  position: relative;
}

.carousel {
  display: flex;
  gap: 20px;
  overflow-x: auto;
  scroll-behavior: smooth;
  cursor: grab;
  padding-bottom: 20px;
}

.carousel::-webkit-scrollbar {
  display: none;
}

.blog-card {
  min-width: 280px;
  padding: 20px;
  border: 1px solid #ddd;
  background: #fff;
  border-radius: 3px;
}

.blog-card h3 {
  margin-top: 0;
}

.blog-card a {
  display: inline-block;
  margin-top: 10px;
  text-decoration: none;
  border-bottom: 1px solid #000;
}

.blog-card-full {
  padding: 30px;
  border: 1px solid #ddd;
  background: #fff;
  box-shadow: 0 8px 30px rgba(0,0,0,0.06);
}

.blog-card-full h2 {
  margin-top: 0;
  font-size: 1.8rem;
}

.blog-card-full .data {
  display: block;
  margin-bottom: 15px;
  font-size: 0.9rem;
  color: #777;
}

.blog-card-full .resumo {
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  line-height: 1.6;
  margin-bottom: 20px;
}

.ver-tudo {
  text-decoration: none;
  font-weight: 500;
  border-bottom: 1px solid #000;
  padding-bottom: 2px;
}

.arrow {
  position: absolute;
  top: 40%;
  background: transparent;
  border: none;
  font-size: 28px;
  cursor: pointer;
}

.arrow.left {
  left: -40px;
}

.arrow.right {
  right: -40px;
}

.blog-list {
  display: flex;
  flex-direction: column;
  gap: 40px;
  max-width: 900px;
  margin: 80px auto !important;
  padding: 0 20px;
}

#blogBody {
    background-color: whitesmoke;
}

#blogGrid {
    background-color: whitesmoke;
}



.post-page {
  background-color: whitesmoke;
  padding: 80px 20px;
}

.post-content {
  max-width: 760px;
  margin: 0 auto;
  background: #fff;
  padding: 60px 70px;
  border-radius: 4px;
  box-shadow: 0 8px 30px rgba(0,0,0,0.06);
  
}


.post-header h1 {
  font-size: 2.6rem;
  line-height: 1.2;
  margin-bottom: 12px;
}

.post-date {
  font-size: 0.9rem;
  color: #777;
}

.post-body {
  margin-top: 50px;
  font-size: 1.05rem;
  line-height: 1.85;
  color: #333;
}

.post-body h2 {
  margin-top: 60px;
  margin-bottom: 20px;
  font-size: 1.8rem;
}

.post-body h3 {
  margin-top: 40px;
  margin-bottom: 15px;
}

.post-body p {
  margin-bottom: 22px;
}

.post-body ul {
  margin: 20px 0 30px 20px;
}

.post-body img {
  max-width: 100%;
  margin: 40px 0;
  border-radius: 4px;
}